Changes between Version 1 and Version 5 of Ticket #4353


Ignore:
Timestamp:
08/23/2016 07:13:47 PM (3 years ago)
Author:
kzar
Comment:

Alright then, since I've done most of it already I'll finish it off and upload a review.

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #4353

    • Property Status changed from new to reopened
    • Property Priority changed from P2 to P3
  • Ticket #4353 – Description

    v1 v5  
    11=== Background === 
    2 For issue #4350 we want to update punycode.js to the latest version (2.0.0). Unfortunately the version of Js Shell we use for transpilation with Js Hydra does not support the `for (const foo of bar)` syntax used in the newer versions of punycode.js: 
    3  
    4 {{{ 
    5 325:6 SyntaxError: invalid for/in left-hand side: 
    6 325:6   for (const currentValue of input) { 
    7 325:6 .............^ 
    8 }}} 
    9  
    10 We therefore need to update Js Shell. Unfortunately the newer versions of Js Shell (for example 45) do not support the [https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Statements/for_each...in non-standard and deprecated for each syntax] which is used in many of the Js Hydra scripts: 
     2It would be nice to update Js Shell at some point. Unfortunately the newer versions of Js Shell (for example 45) do not support the [https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Statements/for_each...in non-standard and deprecated for each syntax] which is used in many of the Js Hydra scripts: 
    113 
    124{{{